RubyGems Navigation menu

unibits 2.9.0

Visualizes encodings in the terminal. Supports UTF-8, UTF-16LE, UTF-16BE, UTF-32LE, UTF-32BE, US-ASCII, ASCII-8BIT, and most of Rubies single-byte encodings. Comes as CLI command and as Ruby Kernel method.

Versions:

  1. 2.9.0 - December 30, 2020 (16 KB)
  2. 2.8.0 - March 05, 2019 (16 KB)
  3. 2.7.0 - June 05, 2018 (16 KB)
  4. 2.6.0 - June 20, 2017 (16 KB)
  5. 2.5.0 - March 31, 2017 (16 KB)
Show all versions (16 total)

Runtime Dependencies (5):

  • characteristics ~> 1.3
  • paint >= 0.9, < 3.0
  • rationalist ~> 2.0, >= 2.0.1
  • symbolify ~> 1.4
  • unicode-display_width ~> 2.0
  • Owners:

    Pushed by:

    Authors:

    • Jan Lelis

    SHA 256 checksum:

    b64ec7a930cf1762860c6b956c72859961b5b6db9892b6e929b585f4335e7328

    Total downloads 8,887

    For this version 166

    Gemfile:
    = Copy to clipboard Copied!

    install:
    =

    License:

    MIT

    Required Ruby Version: >= 2.0

    Links: